Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 36843 - Service Packages showing up as products
Service Packages showing up as products
Status: CLOSED CURRENTRELEASE
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cameron Prince
wbirkhea
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-20 11:33 EDT by Jay Turner
Modified: 2015-01-07 18:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-03 22:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-04-20 11:33:39 EDT
On http://cprince.devel.webdevel.redhat.com/cgi-bin/store, log in and place
one o fthe service packages in your cart (single incident support pack, or
whatever)  Now, continue through the checkout process and notice that in
that cart, the incident support is showing under the Product heading. 
Continue the checkout, and on the shipping screen, the support pack is
still shown as being a product with "0" weight and a total weight of "lbs."
 Oddly enough, the order is not charged tax, even though it is showing as a
product, so that part is correct.
Comment 1 Jason Kohles 2001-04-26 11:53:17 EDT
Fixed, 'Service Package' section added on both shopping cart, and checkout page
2.
Comment 2 Jay Turner 2001-04-30 16:10:17 EDT
Service packages are appearing in their own group throughout the order now . . .
til we get to the invoice, where they are appearing under "Product" . . . In
addition, product sales tax is getting charged on the service packages and I
don't think that it should be charged.
Comment 3 Jay Turner 2001-05-01 10:16:41 EDT
This is happening on http://webdevel.redhat.com as well.  Service Packages are
showing up as Products on the payment screen.  Prior to that, they are showing
as service packages.
Comment 4 Cameron Prince 2001-05-03 22:17:06 EDT
Fixed. Added service code to checkout_n3.

As for taxable services, according to rh_state_tax, TX and DC residents are 
taxed for services. No others should be.
Comment 5 Jay Turner 2001-05-04 07:19:00 EDT
This looks good on bmantest.meridian.  Checked out taxing for NC (nothing) TX
(.0825) and DC (.0575) and all worked as it should.

Note You need to log in before you can comment on or make changes to this bug.